Installer - Bug #6932

node-installer: refresh proxy features when proxy settings.yml is updated
08/05/2014 09:37 AM - Bryan Kearney

Status: Rejected

Priority: Normal
Assignee:

Category: Foreman modules

Target version:

Difficulty: medium Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1014984 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1014984

Description of problem:

If node-installer is re-run with different proxy features enabled each time (like --tftp=false and then --tftp=true), the feature list in
Foreman isn't kept in sync as it was fetched when the proxy was first registered.

Version-Release number of selected component (if applicable):
node-installer-0.0.11-1.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:

1. node-install --tftp false --puppet true
2. check smart proxies list in Foreman
3. node-install --tftp true --puppet true
4. check smart proxies list in Foreman

Actual results:
"Puppet", then only "Puppet”

Expected results:
"Puppet", then "Puppet and TFTP"

Additional info:

Workaround: edit the proxy in the Foreman Ul and re-save it, the feature list will be retrieved again. In Foreman 1.4, there's a refresh
link + API call.

History

#1 - 08/06/2014 07:14 AM - Eric Helms
- Target version set to 54
- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 08/15/2014 01:17 PM - Eric Helms
- Target version deleted (54)

#3 - 01/13/2015 10:43 AM - Bryan Kearney
- Assignee deleted (Bryan Kearney)

#4 - 12/21/2015 11:48 AM - Eric Helms

- translation missing: en.field_release set to 86
https://bugzilla.redhat.com/show_bug.cgi?id=1014984

#5 - 03/11/2016 09:46 PM - Eric Helms
- Project changed from Katello to Installer
- Category changed from Installer to Foreman modules

- translation missing: en.field_release deleted (86)

#6 - 03/14/2016 04:20 AM - Dominic Cleal

- Status changed from New to Rejected

Foreman 1.4? The installer has refreshed features for a very long time, please re-test.
